@echo off
setlocal enabledelayedexpansion

REM Define ANSI color codes
set "RED=[31m"
set "GREEN=[32m"
set "CYAN=[36m"
set "RESET=[0m"
set "ORANGE=[93m" 

echo %BLUE%Stopping GRIDNET Service%RESET%
net stop GRIDNET
if ERRORLEVEL 1 (
    echo %ORANGE%Failed to stop GRIDNET Service. It's ok...%RESET%

) else (
    echo %GREEN%GRIDNET Service stopped successfully.%RESET%
)

echo %BLUE%Uninstalling GRIDNET Core%RESET%
msiexec.exe /x "GRIDNET Core Installer.msi" /passive
if ERRORLEVEL 1 (
    echo %RED%Failed to uninstall GRIDNET Core. It's ok...%RESET%
   
) else (
    echo %GREEN%GRIDNET Core uninstalled successfully.%RESET%
)

echo %BLUE%Installing new GRIDNET Core%RESET%
msiexec.exe /i "GRIDNET Core Installer.msi" /passive
if ERRORLEVEL 1 (
    echo %RED%Failed to install GRIDNET Core. Exiting...%RESET%
    exit /b
) else (
    echo %GREEN%New GRIDNET Core installed successfully.%RESET%
)

echo %GREEN%Update Finished.%RESET%
endlocal
