@echo off

REM Define ANSI color codes
set "RED=[31m"
set "GREEN=[32m"
set "CYAN=[36m"
set "RESET=[0m"
set "ORANGE=[93m" 

set "params=%*"
cd /d "%~dp0" && ( if exist "%temp%\getadmin.vbs" del "%temp%\getadmin.vbs" ) && fsutil dirty query %systemdrive% 1>nul 2>nul || (  echo Set UAC = CreateObject^("Shell.Application"^) : UAC.ShellExecute "cmd.exe", "/k cd ""%~sdp0"" && %~s0 %params%", "", "runas", 1 >> "%temp%\getadmin.vbs" && "%temp%\getadmin.vbs" && exit /B )

set ROOT="C:\Program Files\GRIDNET Technologies\GRIDNET Core\"

echo %BLUE%Copying nssm.exe to GRIDNET Core directory%RESET%
copy nssm.exe %ROOT% /b/v/y
if ERRORLEVEL 1 (
    echo %ORANGE%Failed to copy nssm.exe...%RESET%
  
) else (
    echo %GREEN%nssm.exe copied successfully.%RESET%
)

echo %BLUE%Stopping previous GRIDNET Service if any%RESET%
%ROOT%\nssm stop GRIDNET confirm
echo %GREEN%Previous GRIDNET Service stopped successfully.%RESET%

echo %BLUE%Removing previous GRIDNET Service if any%RESET%
%ROOT%\nssm remove GRIDNET confirm
echo %GREEN%Previous GRIDNET Service removed successfully.%RESET%

echo %BLUE%Registering GRIDNET Service%RESET%
%ROOT%\nssm install GRIDNET  "C:\Program Files\GRIDNET Technologies\GRIDNET Core\GRIDNET Core.exe"
if ERRORLEVEL 1 (
    echo %RED%Failed to register GRIDNET Service. Exiting...%RESET%
    exit /b
) else (
    echo %GREEN%GRIDNET Service registered successfully.%RESET%
)

%ROOT%\nssm set GRIDNET Application "C:\Program Files\GRIDNET Technologies\GRIDNET Core\GRIDNET Core.exe"

echo %BLUE%Making the service auto-start..%RESET%
%ROOT%\nssm  set GRIDNET Start SERVICE_AUTO_START
if ERRORLEVEL 1 (
    echo %RED%Failed to set GRIDNET Service to auto-start. Exiting...%RESET%
    exit /b
) else (
    echo %GREEN%GRIDNET Service set to auto-start successfully.%RESET%
)

echo %BLUE%Warning: the service is to run through the System Account%RESET%
%ROOT%\nssm set GRIDNET Type SERVICE_WIN32_OWN_PROCESS

echo %BLUE%Setting the GRIDNET Service to use all CPUs and cores available..%RESET%
%ROOT%\nssm set GRIDNET AppAffinity All
if ERRORLEVEL 1 (
    echo %RED%Failed to set GRIDNET Service to use all CPUs and cores. Exiting...%RESET%
    exit /b
) else (
    echo %GREEN%GRIDNET Service set to use all CPUs and cores successfully.%RESET%
)

echo %BLUE%Starting the GRIDNET Core Service..%RESET%
%ROOT%\nssm start GRIDNET
if ERRORLEVEL 1 (
    echo %RED%Failed to start GRIDNET Service. Exiting...%RESET%
    exit /b
) else (
    echo %GREEN%GRIDNET Service started successfully.%RESET%
)

echo %GREEN%Finished.%RESET%
endlocal
